package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasArcArctype;
import com.koobietech.eas.mbg.model.EasArcArctypeExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasArcArctypeMapper {
    long countByExample(EasArcArctypeExample example);

    int deleteByExample(EasArcArctypeExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasArcArctype record);

    int insertSelective(EasArcArctype record);

    List<EasArcArctype> selectByExample(EasArcArctypeExample example);

    EasArcArctype selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasArcArctype record, @Param("example") EasArcArctypeExample example);

    int updateByExample(@Param("record") EasArcArctype record, @Param("example") EasArcArctypeExample example);

    int updateByPrimaryKeySelective(EasArcArctype record);

    int updateByPrimaryKey(EasArcArctype record);
}